#!/bin/bash
#SBATCH -p gpu
#SBATCH --gres=gpu:4
#SBATCH -N 1
#SBATCH -n 64
#SBATCH -c 1
#SBATCH -t 00:15:00
#SBATCH -A hpc_hpcadmin8
#SBATCH -o lammps.%j.out
#SBATCH -e lammps.%j.err
#SBATCH --mail-user olegs@lsu.com

module purge
module load lammps/23Jun2022/intel-2021.5.0-cuda-11.6.0-intel-mpi-2021.5.1

echo "-------------------------------"
echo $SLURM_JOBID
echo $SLURM_NNODES
echo $SLURM_NTASKS
echo $SLURM_SUBMIT_DIR
echo $SLURM_JOB_NODELIST
export OMP_NUM_THREADS=$SLURM_CPUS_PER_TASK
echo $SLURM_CPUS_PER_TASK
echo "-------------------------------"

cd   $SLURM_SUBMIT_DIR

time srun -N1 -n64 lmp_cuda -sf gpu -pk gpu 4 neigh yes newton off -in lj.in > lj.out

